---
- name: Enabled apache2 modules
  community.general.apache2_module:
    name: "{{ item }}"
    state: present
  loop:
    "{{ apache2_modules_enabled }}"
  notify: Apache2-restart

- name: Disables apache2 modules
  community.general.apache2_module:
    name: "{{ item }}"
    state: absent
  loop:
    "{{ apache2_modules_disabled }}"
  notify: Apache2-restart


- name: Include mods tasks
  ansible.builtin.include_tasks: object_enabled.yml
  vars:
    objtype: "mods"
    objects: "{{ apache2_mods_files }}"
